Anexar documentos da conversa na ficha do cliente no Juridiq
curl --request POST \
--url https://api.jurichat.com/conversation/{conversationId}/documents/juridiq \
--header 'Content-Type: application/json' \
--header 'x-jurichat-api-key: <api-key>' \
--data '
{
"withAiTitles": true,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.jurichat.com/conversation/{conversationId}/documents/juridiq"
payload = {
"withAiTitles": True,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-jurichat-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-jurichat-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
withAiTitles: true,
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
personId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.jurichat.com/conversation/{conversationId}/documents/juridiq', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "attached",
"person": {
"id": "<string>",
"name": "<string>"
},
"attached": 1,
"failed": [
{
"fileName": "<string>",
"reason": "<string>"
}
],
"aiTitles": "applied"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}Conversations
Anexar documentos da conversa na ficha do cliente no Juridiq
Sobe para a ficha do cliente no Juridiq o mesmo recorte de documentos que o download traria. Quando a ficha não pode ser resolvida com segurança, responde needs-selection sem enviar nada.
POST
/
conversation
/
{conversationId}
/
documents
/
juridiq
Anexar documentos da conversa na ficha do cliente no Juridiq
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Path Parameters
ID da conversa cujos documentos serão anexados no Juridiq.
Pattern:
^[cC][^\s-]{8,}$Body
application/json